### Method

# WebKit ApplicationInfo set_version

since: 2.18

#### Declaration [src]

    void
    webkit_application_info_set_version (
      WebKitApplicationInfo* info,
      guint64 major,
      guint64 minor,
      guint64 micro
    )

#### Description [src]

Set the application version.

If the application doesn’t use the format major.minor.micro you can pass 0 as the micro to use major.minor, or pass 0 as both micro and minor to use only major number. Any other format must be converted to major.minor.micro so that it can be used in version comparisons.

Available since: 2.18

#### Parameters

`major`

  Type: `guint64`

  The major version number.

`minor`

  Type: `guint64`

  The minor version number.

`micro`

  Type: `guint64`

  The micro version number.